GridTopology-class {sp} | R Documentation

## Class "GridTopology"

### Description

class for defining a rectangular grid of arbitrary dimension

### Objects from the Class

Objects are created by using e.g.

GridTopology(c(0,0), c(1,1), c(5,5))

see SpatialGrid

### Slots

`cellcentre.offset`:

  numeric; vector with the smallest coordinates for each dimension; coordinates refer to the cell centre

`cellsize`:

  numeric; vector with the cell size in each dimension

`cells.dim`:

  integer; vector with number of cells in each dimension

### Methods

coordinates

  `signature(x = "SpatialGrid")`: calculates coordinates for each point on the grid

summary

  `signature(object = "SpatialGrid")`: summarize object

coerce

  `signature(from = "GridTopology", to = "data.frame")`: convert to data.frame with columns cellcentre.offset, cellsize and cells.dim

### Author(s)

Edzer Pebesma, edzer.pebesma@uni-muenster.de

### See Also

`SpatialGridDataFrame-class`, `SpatialGrid-class`

### Examples

    x = GridTopology(c(0,0), c(1,1), c(5,5))
    class(x)
    x
    summary(x)
    coordinates(x)
    y = SpatialGrid(grid = x)
    class(y)
    y

[Package sp version 1.2-3 Index]